Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 22, 23, 24 ... 38, 39, 40  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Fri Mar 06, 2009 9:23 am    Post subject: Reply with quote

Emerging (1 of 79) kde-base/kdebase-data-4.2.65 from kde
* kdebase-runtime-4.2.65.tar.lzma RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> Unpacking source...
* Unpacking parts of kdebase-runtime-4.2.65.tar.lzma to /var/tmp/portage/kde-base/kdebase-data-4.2.65/work ...
mv: cannot stat `kdebase-runtime-4.2.65/': No such file or directory
*
* ERROR: kde-base/kdebase-data-4.2.65 failed.
* Call stack:
* ebuild.sh, line 49: Called src_unpack
* environment, line 3789: Called kde4-meta_src_unpack
* environment, line 3027: Called kde4-meta_src_extract
* environment, line 2968: Called die
* The specific snippet of code:
* mv ${topdir} ${P} || die "Died while moving "${topdir}" to "${P}"";
* The die message:
* Died while moving "kdebase-runtime-4.2.65/" to "kdebase-data-4.2.65"
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Mar 06, 2009 1:01 pm    Post subject: Reply with quote

wrc1944 wrote:
Just a thought, but I assume you tried deleting svn-src/automoc? I had a similar problem with another package yesterday, and getting a fresh source fixed it up.


didn't help :(

reavertm wrote:
automoc had wrong eclass inherit order, sync overlay - should be fixed now


thanks ! :D
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Fri Mar 06, 2009 1:55 pm    Post subject: Reply with quote

marcus84 wrote:
I can compile amarok:

The error is the following:

Code:


[ 89%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QTextDocument.o                                                                                                                                                                                                                                                                                           
/usr/include/qt4/QtCore/qmetatype.h: In static member function ‘static int QMetaTypeId2<T>::qt_metatype_id() [with T = QList<int>]’:                                                                                                                                                                                                                                                                                                                   
/usr/include/qt4/QtCore/qmetatype.h:199:   instantiated from ‘int qMetaTypeId(T*) [with T = QList<int>]’                                                                                                                                                                                                                                                                                                                                               
/usr/include/qt4/QtScript/qscriptengine.h:372:   instantiated from ‘T qscriptvalue_cast(const QScriptValue&) [with T = QList<int>]’                                                                                                                                                                                                                                                                                                                   
/home/tmp_portage/portage/media-sound/amarok-2.0.2/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QTextCodecPlugin.cpp:128:   instantiated from here                                                                                                                                                                                                                                         
/usr/include/qt4/QtCore/qmetatype.h:189: error: ‘qt_metatype_id’ is not a member of ‘QMetaTypeId<QList<int> >’                                                                                                                                                                                                                                                                                                                                         
make[2]: *** [src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QTextCodecPlugin.o] Error 1                                                                                                                                                                                                                                                                                           
make[2]: *** Waiting for unfinished jobs....                                                                                                                                                                                                                                                                                                                                                                                                           
make[1]: *** [src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/all] Error 2                                                                                                                                                                                                                                                                                                                                                           
make: *** [all] Error 2                                                                                                                                                                                                                                                                                                                                                                                                                               
 *                           

...

this is a known problem: https://bugs.kde.org/show_bug.cgi?id=177863
Back to top
View user's profile Send private message
dp20eic
n00b
n00b


Joined: 17 Jul 2002
Posts: 38
Location: Wolfsburg

PostPosted: Fri Mar 06, 2009 7:04 pm    Post subject: Reply with quote

hello marcus84,

marcus84 wrote:
I can compile amarok:

The error is the following:

Code:


[ 89%] Building CXX object src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QTextDocument.o                                                                                                                                                                                                                                                                                           
/usr/include/qt4/QtCore/qmetatype.h: In static member function ‘static int QMetaTypeId2<T>::qt_metatype_id() [with T = QList<int>]’:                                                                                                                                                                                                                                                                                                                   
/usr/include/qt4/QtCore/qmetatype.h:199:   instantiated from ‘int qMetaTypeId(T*) [with T = QList<int>]’                                                                                                                                                                                                                                                                                                                                               
/usr/include/qt4/QtScript/qscriptengine.h:372:   instantiated from ‘T qscriptvalue_cast(const QScriptValue&) [with T = QList<int>]’                                                                                                                                                                                                                                                                                                                   
/home/tmp_portage/portage/media-sound/amarok-2.0.2/work/amarok_build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QTextCodecPlugin.cpp:128:   instantiated from here                                                                                                                                                                                                                                         
/usr/include/qt4/QtCore/qmetatype.h:189: error: ‘qt_metatype_id’ is not a member of ‘QMetaTypeId<QList<int> >’                                                                                                                                                                                                                                                                                                                                         
make[2]: *** [src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QTextCodecPlugin.o] Error 1                                                                                                                                                                                                                                                                                           
make[2]: *** Waiting for unfinished jobs....                                                                                                                                                                                                                                                                                                                                                                                                           
make[1]: *** [src/scriptengine/generator/generator/CMakeFiles/qtscript_gui.dir/all] Error 2                                                                                                                                                                                                                                                                                                                                                           
make: *** [all] Error 2                                                                                                                                                                                                                                                                                                                                                                                                                               
 *                           


and I have compiled mysql with -fPIC. The arch is amd64 and qt i 4.4.2


yes it is an older problem.

Take a look at https://bugs.gentoo.org/show_bug.cgi?id=258861 there you find a patch. I know it's for amarok-2.0.1.1 but I have done a check at the source and it works also for 2.0.2.

Doing:
make a local copy(overlay) from amarok
copy the patch as 2.0.2-qt4.5.patch into the file folder
insert
Code:
PATCHES=( "${FILESDIR}/${PV}-qt4.5.patch" )
into your local ebuild
ebuil your/amarok-2.0.2.ebuild digest
be hapy

This is working for me.

By

P.S.: sorry for my english

Ooh, I saw that you are using qt-4.4 so forget my post, the solution is for qt-4.5. :oops:
sorry

By


Last edited by dp20eic on Sat Mar 07, 2009 11:31 am; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Mar 06, 2009 7:26 pm    Post subject: Reply with quote

kernelOfTruth wrote:


reavertm wrote:
automoc had wrong eclass inherit order, sync overlay - should be fixed now


thanks ! :D


ok, that DID fix it

thanks again :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3253
Location: Gainesville, Florida

PostPosted: Sat Mar 07, 2009 12:54 am    Post subject: Reply with quote

Kode fails with No rule to make target `install. Nothing on bugzilla or forum I can find. Re-synced overlay, deleted svn-src/kdepim, got fresh source, no luck
Code:
-- Congratulations! All external packages have been found.
-----------------------------------------------------------------------------

-- <<< Gentoo configuration >>>
Build type: Gentoo
Install path: /usr/kde/live

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/kode-9999/work/kode_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/kode-9999/work/kode-9999 ...
make -j3
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/kode-9999

>>> Install kode-9999 into /var/tmp/portage/kde-base/kode-9999/image/ category kde-base
make -j3 install DESTDIR=/var/tmp/portage/kde-base/kode-9999/image/
make: *** No rule to make target `install'.  Stop.
 *
 * ERROR: kde-base/kode-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_install
 *             environment, line 3795:  Called kde4-meta_src_install
 *             environment, line 3006:  Called cmake-utils_src_install
 *             environment, line 1012:  Called die
 * The specific snippet of code:
 *       emake install DESTDIR="${D}" || die "Make install failed";
 *  The die message:
 *   Make install failed

Looked around in the /var/tmp/portage/kde-base/kode-9999 files, but nothing seemed weird- all referred to Install path: /usr/kde/live, which seems correct. Nothing seemed wrong in all the kode ebuild versions in the overlay. Tried looking in the source files, and googling No rule to make target `install, but no luck. Nothing seemed wrong in configure, it just bails out right afterwards. Looked at the build log, but I guess I'm still too ignorant to spot what's wrong. :roll:
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Sat Mar 07, 2009 4:35 pm    Post subject: Reply with quote

kode was dropped by upstream - sync overlay
_________________
Maciek
Back to top
View user's profile Send private message
zwede
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 103

PostPosted: Sat Mar 07, 2009 6:11 pm    Post subject: Reply with quote

Has anyone succeeded in installing both KDE 4.2.1 and 4.2.65? I got 4.2.1 to install and most of 4.2.65 until I got to pykde4.

First it failed as /usr/kde/4.3/include/kmimetype.h declares some functions pykde4 needs as private. I changed those to public to see if that would make pykde4 happy, and it actually compiled but fails the file collision check as it wants to install over pykde4 4.2.1. It tries this even though I have the kdeprefix USE flag set. The directory both 4.2.1 and 4.2.65 wants to use is /usr/share/sip/PyKDE4.

And without pykde4 there is no plasma-workspace so I cannot use KDE4.2.65 (when I try to login I just get kicked back to the login prompt again).

Help?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7115
Location: Austria

PostPosted: Sat Mar 07, 2009 7:57 pm    Post subject: Reply with quote

Try it again with USE="-python", imo there's only trouble with pykde4 and you won't ever need it.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
zwede
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 103

PostPosted: Sun Mar 08, 2009 3:24 am    Post subject: Reply with quote

Thanks, but now I get this????

Code:
>>> Emerging (1 of 3) kde-base/plasma-workspace-4.2.65 from kde
 * kdebase-workspace-4.2.65.tar.lzma RMD160 SHA1 SHA256 size ;-) ...                                                                  [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                [ ok ]
>>> Unpacking source...                                                                                                                     
 * Unpacking parts of kdebase-workspace-4.2.65.tar.lzma to /var/tmp/portage/kde-base/plasma-workspace-4.2.65/work ...                  [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/plasma-workspace-4.2.65/work                                                               
find: `/var/tmp/portage/kde-base/plasma-workspace-4.2.65/work/plasma-workspace-4.2.65/libs/screenpreviewwidget/': No such file or directory 
sed: no input files                                                                                                                         
 *                                                                                                                                           
 * ERROR: kde-base/plasma-workspace-4.2.65 failed.   
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Mar 08, 2009 11:26 am    Post subject: Reply with quote

zwede wrote:
Thanks, but now I get this????

Code:
>>> Emerging (1 of 3) kde-base/plasma-workspace-4.2.65 from kde
 * kdebase-workspace-4.2.65.tar.lzma RMD160 SHA1 SHA256 size ;-) ...                                                                  [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                [ ok ]
>>> Unpacking source...                                                                                                                     
 * Unpacking parts of kdebase-workspace-4.2.65.tar.lzma to /var/tmp/portage/kde-base/plasma-workspace-4.2.65/work ...                  [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/plasma-workspace-4.2.65/work                                                               
find: `/var/tmp/portage/kde-base/plasma-workspace-4.2.65/work/plasma-workspace-4.2.65/libs/screenpreviewwidget/': No such file or directory 
sed: no input files                                                                                                                         
 *                                                                                                                                           
 * ERROR: kde-base/plasma-workspace-4.2.65 failed.   



kernelOfTruth wrote:
gimpel wrote:
kernelOfTruth wrote:
latest plasma-workspace from upstream / live fails:

Quote:
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999/plasma/scriptengines/javascript/qtgui/rect.cpp:54: warning: ‘QScriptValue adjusted(QScriptContext*, QScriptEngine*)’ defined but not used
[ 70%] Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/backgrounddialog.o
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999/plasma/shells/desktop/backgrounddialog.cpp:31:67: error: ../../../libs/screenpreviewwidget/screenpreviewwidget.h: No such file or directory

Same here. Following patch helps:
Code:
diff --git a/kde-base/plasma-workspace/plasma-workspace-9999.ebuild b/kde-base/plasma-workspace/plasma-workspace-9999.ebuild
index 70eeaf2..ba934d5 100644
--- a/kde-base/plasma-workspace/plasma-workspace-9999.ebuild
+++ b/kde-base/plasma-workspace/plasma-workspace-9999.ebuild
@@ -44,6 +44,7 @@ RDEPEND="${COMMONDEPEND}
 KMEXTRA="
        libs/nepomukquery/
        libs/nepomukqueryclient/
+       libs/screenpreviewwidget/
 "
 KMEXTRACTONLY="
        krunner/dbus/org.freedesktop.ScreenSaver.xml


this worked - thanks ! :)

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
acei
Tux's lil' helper
Tux's lil' helper


Joined: 16 Sep 2007
Posts: 90

PostPosted: Sun Mar 08, 2009 12:57 pm    Post subject: Reply with quote

I can't build kdepimlibs-4.2.65

Code:
 51%] Building CXX object mailtransport/CMakeFiles/mailtransport.dir/precommandjob.o                             
/var/tmp/portage/kde-base/kdepimlibs-4.2.65/work/kdepimlibs-4.2.65/mailtransport/smtpjob.cpp:153:2: warning: #warning Argh!                                                                                                         
/var/tmp/portage/kde-base/kdepimlibs-4.2.65/work/kdepimlibs-4.2.65/mailtransport/smtpjob.cpp:166:2: warning: #warning yet another KMail specific thing                                                                             
/var/tmp/portage/kde-base/kdepimlibs-4.2.65/work/kdepimlibs-4.2.65/mailtransport/smtpjob.cpp:303: warning: unused parameter ‘job’                                                                                                   
[ 51%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/itemrss2impl.o                           
[ 51%] [ 51%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/enclosurerss2impl.o               
Building CXX object mailtransport/CMakeFiles/mailtransport.dir/legacydecrypt.o                                   
[ 51%] [ 51%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/categoryrss2impl.o               
Building CXX object mailtransport/CMakeFiles/mailtransport.dir/socket.o                                           
[ 51%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/imagerss2impl.o                         
[ 51%] Building CXX object mailtransport/CMakeFiles/mailtransport.dir/servertest.o                               
[ 51%] [ 52%] Building CXX object mailtransport/CMakeFiles/mailtransport.dir/transportbase.o                     
Building CXX object syndication/CMakeFiles/syndication.dir/mapper/feedrdfimpl.o                                   
Linking CXX shared library ../lib/libmailtransport.so                                                             
[ 52%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/itemrdfimpl.o                           
[ 52%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/imagerdfimpl.o                           
[ 52%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/feedatomimpl.o                           
[ 52%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/itematomimpl.o                           
[ 52%] [ 52%] Building CXX object syndication/CMakeFiles/syndication.dir/mapper/enclosureatomimpl.o               
[ 52%] Built target mailtransport                                                                                 
Building CXX object syndication/CMakeFiles/syndication.dir/mapper/categoryatomimpl.o                             
[ 54%] Building CXX object syndication/CMakeFiles/syndication.dir/documentsource.o                               
[ 54%] Building CXX object syndication/CMakeFiles/syndication.dir/documentvisitor.o                               
[ 54%] Building CXX object syndication/CMakeFiles/syndication.dir/elementwrapper.o                               
[ 54%] Building CXX object syndication/CMakeFiles/syndication.dir/constants.o                                     
[ 54%] [ 54%] Building CXX object syndication/CMakeFiles/syndication.dir/feed.o                                   
Building CXX object syndication/CMakeFiles/syndication.dir/item.o                                                 
[ 54%] Building CXX object syndication/CMakeFiles/syndication.dir/enclosure.o                                     
[ 55%] Building CXX object syndication/CMakeFiles/syndication.dir/category.o                                     
[ 55%] Building CXX object syndication/CMakeFiles/syndication.dir/image.o                                         
[ 55%] Building CXX object syndication/CMakeFiles/syndication.dir/tools.o                                         
[ 55%] Building CXX object syndication/CMakeFiles/syndication.dir/person.o                                       
[ 55%] [ 55%] Building CXX object syndication/CMakeFiles/syndication.dir/personimpl.o                             
Building CXX object syndication/CMakeFiles/syndication.dir/loader.o                                               
[ 55%] Building CXX object syndication/CMakeFiles/syndication.dir/global.o                                       
[ 56%] Building CXX object syndication/CMakeFiles/syndication.dir/dataretriever.o                                 
[ 56%] Building CXX object syndication/CMakeFiles/syndication.dir/specificitemvisitor.o                           
[ 56%] [ 56%] Building CXX object syndication/CMakeFiles/syndication.dir/specificitem.o                           
Building CXX object syndication/CMakeFiles/syndication.dir/specificdocument.o                                     
[ 56%] Building CXX object syndication/CMakeFiles/syndication.dir/abstractparser.o                               
Linking CXX shared library ../lib/libsyndication.so                                                               
[ 56%] Built target syndication                                                                                   
make: *** [all] Błąd 2                                                                                           
 *                                                                                                               
 * ERROR: kde-base/kdepimlibs-4.2.65 failed.                                                                     
 * Call stack:                                                                                                   
 *               ebuild.sh, line   49:  Called src_compile                                                       
 *             environment, line 3147:  Called kde4-base_src_compile                                             
 *             environment, line 2344:  Called kde4-base_src_make                                                 
 *             environment, line 2394:  Called cmake-utils_src_make
 *             environment, line  816:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *  The die message:
 *   Make failed!
 *


Any ideas?
_________________
GA965P+E6320+Geil 2*1GB CL4+ATI HD6570 ~amd64
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Sun Mar 08, 2009 3:56 pm    Post subject: Reply with quote

hi, I want install live kde but i get this; some help is welcome.

I've tried to un mask all kde4svn packages but always get this errors:
Code:

emerge -pv kdelibs
--- Invalid atom in /etc/portage/package.unmask: [6~app-portage/kuroo
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/portage/local/layman/desktop-effects/eclass/bzr.eclass'
 *   '/usr/portage/local/layman/kde-testing/eclass/cmake-utils.eclass'
 *   '/usr/portage/local/layman/kde-testing/eclass/kde4-base.eclass'
 *   '/usr/portage/local/layman/kde-testing/eclass/kde4-functions.eclass'
 *   '/usr/portage/local/layman/kde-testing/eclass/kde4-meta.eclass'
 *
 * It is best to avoid overriding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to add FEATURES="metadata-transfer" to /etc/make.conf and to
 * run `emerge --regen` after each time that you run `emerge --sync`. Set
 * PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you would like to
 * disable this warning.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] kde-base/automoc-9999  0 kB [1]
[ebuild  N    ] dev-libs/soprano-9999  USE="clucene dbus java raptor redland -debug -doc" 0 kB [1]
[ebuild  N    ] app-misc/strigi-9999  USE="clucene dbus qt4 -debug -exif -fam -hyperestraier -inotify -log -test" 0 kB [1]
[ebuild  N    ] media-sound/phonon-9999  USE="xcb xine -debug -gstreamer" 0 kB [1]
[ebuild  NS   ] kde-base/kdelibs-9999 [3.5.10] USE="acl alsa bzip2 jpeg2k kdeprefix kerberos mmx nls openexr opengl semantic-desktop sse sse2 ssl zeroconf -3dnow (-altivec) -bindist -debug -doc -fam -spell -test" 0 kB [1]
[blocks B     ] media-sound/phonon ("media-sound/phonon" is blocking x11-libs/qt-phonon-4.5.0)
[blocks B     ] <=kde-base/kdebase-startkde-3.5.10 ("<=kde-base/kdebase-startkde-3.5.10" is blocking kde-base/kdelibs-9999)
[blocks B     ] x11-libs/qt-phonon:4 ("x11-libs/qt-phonon:4" is blocking media-sound/phonon-9999)
[blocks B     ] x11-libs/qt-phonon ("x11-libs/qt-phonon" is blocking kde-base/kdelibs-9999)

Total: 5 packages (4 new, 1 in new slot), Size of downloads: 0 kB
Conflict: 4 blocks (4 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/kde-testing

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/kdebase-startkde-3.5.9', 'nomerge') pulled in by
    kde-base/kdebase-startkde required by world

  ('ebuild', '/', 'kde-base/kdelibs-9999', 'merge') pulled in by
    kdelibs


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


using
Code:
ACCEPT_KEYWORDS="~x86" emerge -pv kdelibs
i get same result

thanks in advance... :wink:
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Sun Mar 08, 2009 5:37 pm    Post subject: Reply with quote

It looks like you need to uninstall kdebase-startkde (and preferably all the kde-3.5 stuff).

Code:
pulled in by kde-base/kdebase-startkde required by world


This bit shows that kdebase-startkde is in your world file, so uninstall it. You might get other packages like this so keep an eye out for those errors.

I would also recommend adding kdeprefix to your USE flags and emerge @kde-live rather than emerging the -9999 packages individually.

If you want to run 3.5 and 4.2 then you should use the kdeprefix use flag. I am not sure how easy it is but I think 4.2 should be a good replacement for 3.5.

Log out of your KDE session and then start a minimal X session and compile from there, it should make it a bit more stable.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sun Mar 08, 2009 5:52 pm    Post subject: amarok and cmake problem Reply with quote

Code:
>>> Emerging (1 of 1) media-sound/amarok-2.0.2 from kde
>>> Downloading 'ftp://ftp.solnet.ch/mirror/KDE/stable/amarok/2.0.2/src/amarok-2.0.2.tar.bz2'
--2009-03-08 18:39:03--  ftp://ftp.solnet.ch/mirror/KDE/stable/amarok/2.0.2/src/amarok-2.0.2.tar.bz2
           => `/mnt/newarchivio/distfiles/amarok-2.0.2.tar.bz2'                                     
Risoluzione di ftp.solnet.ch... 212.101.4.244                                                       
Connessione a ftp.solnet.ch|212.101.4.244|:21... connesso.                                         
Accesso come utente anonymous ... Login eseguito!                                                   
==> SYST ... fatto.   ==> PWD ... fatto.                                                           
==> TYPE I ... fatto.  ==> CWD /mirror/KDE/stable/amarok/2.0.2/src ... fatto.                       
==> SIZE amarok-2.0.2.tar.bz2 ... 4979989                                                           
==> PASV ... fatto.   ==> RETR amarok-2.0.2.tar.bz2 ... fatto.                                     
Lunghezza: 4979989 (4,7M)                                                                           

100%[===========================================================================================>] 4.979.989    169K/s   in 31s     

2009-03-08 18:39:35 (157 KB/s) - "/mnt/newarchivio/distfiles/amarok-2.0.2.tar.bz2" salvato [4979989]

 * amarok-2.0.2.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                                       [ ok ]
 * checking ebuild checksums ;-) ...                                                                                          [ ok ]
 * checking auxfile checksums ;-) ...                                                                                         [ ok ]
 * checking miscfile checksums ;-) ...                                                                                        [ ok ]

 * Compilation will fail if dev-db/mysql[-community] is built without -fPIC in your CFLAGS!
 * Related bug: http://bugs.gentoo.org/show_bug.cgi?id=238487                             
 *                                                                                         
 * To fix this, and to avoid using -fPIC globally in your make.conf (which is not recommended),
 * put the following into /etc/portage/env/dev-db/mysql (or mysql-community, depending on which you use;
 * create dirs and the file if they don't exist):                                                       
 *                                                                                                     
 * CFLAGS="-march=k8 -O2 -pipe -DPIC -fPIC"                                                             
 * CXXFLAGS="-march=k8 -O2 -pipe -DPIC -fPIC"                                                           

>>> Unpacking source...
>>> Unpacking amarok-2.0.2.tar.bz2 to /var/tmp/portage/media-sound/amarok-2.0.2/work
>>> Source unpacked in /var/tmp/portage/media-sound/amarok-2.0.2/work               
 * Enabling LANGUAGE: it ...                                                                                                   [ ok ]
>>> Configuring source in /var/tmp/portage/media-sound/amarok-2.0.2/work/amarok-2.0.2 ...                                           
>>> Working in BUILD_DIR: "/var/tmp/portage/media-sound/amarok-2.0.2/work/amarok_build"                                             
loading initial cache file /var/tmp/portage/media-sound/amarok-2.0.2/temp/gentoo_common_config.cmake                                 
-- The C compiler identification is GNU                                                                                             
-- The CXX compiler identification is GNU                                                                                           
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc                                                                   
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works                                                           
-- Detecting C compiler ABI info                                                                                                     
-- Detecting C compiler ABI info - done                                                                                             
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++                                                                 
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works                                                         
-- Detecting CXX compiler ABI info                                                                                                   
-- Detecting CXX compiler ABI info - done                                                                                           
-- Looking for Q_WS_X11                                                                                                             
-- Looking for Q_WS_X11 - found                                                                                                     
-- Looking for Q_WS_WIN                                                                                                             
-- Looking for Q_WS_WIN - not found.                                                                                                 
-- Looking for Q_WS_QWS                                                                                                             
-- Looking for Q_WS_QWS - not found.                                                                                                 
-- Looking for Q_WS_MAC                                                                                                             
-- Looking for Q_WS_MAC - not found.                                                                                                 
-- Found Qt-Version 4.5.0 (using /usr/bin/qmake)                                                                                     
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so                                                                                                           
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found                                                                                                   
-- Looking for gethostbyname                                                                                                         
-- Looking for gethostbyname - found                                                                                                 
-- Looking for connect                                                                                                               
-- Looking for connect - found                                                                                                       
-- Looking for remove                                                                                                               
-- Looking for remove - found                                                                                                       
-- Looking for shmat                                                                                                                 
-- Looking for shmat - found                                                                                                         
-- Looking for IceConnectionNumber in ICE                                                                                           
-- Looking for IceConnectionNumber in ICE - found                                                                                   
-- Found X11: /usr/lib64/libX11.so                                                                                                   
-- Looking for include files CMAKE_HAVE_PTHREAD_H                                                                                   
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found                                                                           
-- Looking for pthread_create in pthreads                                                                                           
-- Looking for pthread_create in pthreads - not found                                                                               
-- Looking for pthread_create in pthread                                                                                             
-- Looking for pthread_create in pthread - found                                                                                     
-- Found Threads: TRUE                                                                                                               
-- Found Automoc4: /usr/bin/automoc4                                                                                                 
-- Found Perl: /usr/bin/perl                                                                                                         
-- Performing Test _OFFT_IS_64BIT                                                                                                   
-- Performing Test _OFFT_IS_64BIT - Success                                                                                         
-- Performing Test HAVE_FPIE_SUPPORT                                                                                                 
-- Performing Test HAVE_FPIE_SUPPORT - Success                                                                                       
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL                                                                                   
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success                                                                         
-- Performing Test __KDE_HAVE_GCC_VISIBILITY                                                                                         
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success                                                                               
-- Phonon Version: 4.3.0                                                                                                             
-- Found Phonon: /usr/lib64/libphonon.so                                                                                             
-- Found Phonon Includes: /usr/include/KDE;/usr/include                                                                             
-- Found KDE 4.2 include dir: /usr/include                                                                                           
-- Found KDE 4.2 library dir: /usr/lib64                                                                                             
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler                                                           
-- Found automoc4: /usr/bin/automoc4                                                                                                 
Qt QTNSPLUGIN library not found.                                                                                                     
-- Looking for dlopen in dl                                                                                                         
-- Looking for dlopen in dl - found                                                                                                 
-- Found taglib: -L/usr/lib64 -ltag                                                                                                 
-- Taglib found: -L/usr/lib64 -ltag                                                                                                 
-- Strigi API needs 'signed char'                                                                                                   
-- Found Strigi: /usr/lib64/libstreams.so                                                                                           
-- Performing Test HAVE_MYSQL_OPT_EMBEDDED_CONNECTION                                                                               
-- Performing Test HAVE_MYSQL_OPT_EMBEDDED_CONNECTION - Success                                                                     
-- Found MySQL: /usr/include/mysql, /usr/lib64/libmysqlclient.so                                                                     
-- Found MySQL Embedded: /usr/include/mysql, /usr/lib64/mysql/libmysqld.a                                                           
-- Found ZLIB: /lib64/libz.so                                                                                                       
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                           
-- Found GLIB2: /usr/lib64/libglib-2.0.so                                                                                           
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                           
-- Found Gdk: /usr/include/gtk-2.0                                                                                                   
-- Found MP4V2: /usr/lib64/libmp4v2.so                                                                                               
-- Found CURL: /usr/lib64/libcurl.so                                                                                                 
-- checking for module 'libxml-2.0'                                                                                                 
--   found libxml-2.0, version 2.7.2                                                                                                 
-- Found LibXml2: /usr/lib64/libxml2.so                                                                                             
-- Found OpenSSL: /usr/lib64/libssl.so                                                                                               
-- Looking for include files HAVE_GCRYPT_H                                                                                           
-- Looking for include files HAVE_GCRYPT_H - found                                                                                   
-- Libgcrypt found: /usr/lib64/libgcrypt.so                                                                                         
-- checking for module 'gobject-2.0'                                                                                                 
--   found gobject-2.0, version 2.18.3                                                                                               
-- Found GObject libraries: /usr/lib64/libgobject-2.0.so;/usr/lib64/libgmodule-2.0.so;/usr/lib64/libgthread-2.0.so;/usr/lib64/libglib-2.0.so                                                                                                                             
-- Found GObject includes : /usr/include/glib-2.0/gobject                                                                           
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                           
-- Found Loudmouth: /usr/include/loudmouth-1.0                                                                                       
-- Found Soprano: /usr/lib64/libsoprano.so                                                                                           
-- Found Soprano includes: /usr/include                                                                                             
-- Found Soprano Index: /usr/lib64/libsopranoindex.so                                                                               
-- Found Soprano Client: /usr/lib64/libsopranoclient.so                                                                             
-- Found Soprano Plugin Dir: /usr/share/soprano/plugins                                                                             
-- Found Soprano Plugins: nquadparser nquadserializer raptorparser raptorserializer redlandbackend sesame2backend                   
-- Found NEPOMUK: /usr/lib64/libnepomuk.so                                                                                           
-- Performing Test QT4_GLIB_SUPPORT                                                                                                 
-- Performing Test QT4_GLIB_SUPPORT - Success                                                                                       
-- Looking for sys/types.h                                                                                                           
-- Looking for sys/types.h - found                                                                                                   
-- Looking for stdint.h                                                                                                             
-- Looking for stdint.h - found                                                                                                     
-- Looking for stddef.h                                                                                                             
-- Looking for stddef.h - found                                                                                                     
-- Check size of int                                                                                                                 
-- Check size of int - done                                                                                                         
-- Check size of long                                                                                                               
-- Check size of long - done                                                                                                         
-- Performing Test COMPLEX_TAGLIB_FILENAME                                                                                           
-- Performing Test COMPLEX_TAGLIB_FILENAME - Failed                                                                                 
--                                                                                                                                   
-----------------------------------------------------------------------------                                                       
-- The following external packages were located on your system.                                                                     
-- This installation will have the extra features provided by these packages.                                                       
+ kdelibs                                                                                                                           
+ taglib                                                                                                                             
+ strigi                                                                                                                             
+ mysqld                                                                                                                             
+ zlib                                                                                                                               
+ glib2                                                                                                                             
+ Gdk                                                                                                                               
+ libmp4v2                                                                                                                           
+ curl                                                                                                                               
+ libxml2                                                                                                                           
+ openssl or libgcrypt                                                                                                               
+ gobject                                                                                                                           
+ loudmouth                                                                                                                         
+ soprano                                                                                                                           
+ nepomuk                                                                                                                           
+ Qt4 Glib support                                                                                                                   
-----------------------------------------------------------------------------                                                       
-- The following OPTIONAL packages could NOT be located on your system.                                                             
-- Consider installing them to enable more features from this software.                                                             
+ libgpod, 0.6.0 or higher: Support Apple iPod audio devices <http://sourceforge.net/projects/gtkpod/>                               
+ libmtp, 0.3.0 or higher: Enable Support for portable media devices that use the media transfer protocol <http://libmtp.sourceforge.net/>                                                                                                                               
-----------------------------------------------------------------------------                                                       

-- Looking for dgettext
-- Looking for dgettext - found
-- Found Gettext: built in libc
-- <<< Gentoo configuration >>>
Build type: Gentoo             
Install path: /usr             

-- Configuring done
CMake Warning at /usr/share/apps/cmake/modules/KDE4Macros.cmake:561 (add_library):
  Cannot generate a safe linker search path for target                           
  amarok_collection-sqlcollection because files in some directories may           
  conflict with libraries in implicit directories:                               

    link library [libmysqlclient.so] in /usr/lib64 may be hidden by files in:
      /usr/lib64/mysql                                                       

  Some of these libraries may not be found correctly.
Call Stack (most recent call first):                 
  src/collection/sqlcollection/CMakeLists.txt:50 (kde4_add_plugin)


-- Generating done
-- Build files have been written to: /var/tmp/portage/media-sound/amarok-2.0.2/work/amarok_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-sound/amarok-2.0.2/work/amarok-2.0.2 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/media-sound/amarok-2.0.2/work/amarok_build"
make -j2
[  0%] Scanning dependencies of target amarok_automoc
Generating qrc_generator.cxx


after a while it stops building with errors
it is normal that cmake message "Cannot generate a safe linker search path for target..." ?
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Sun Mar 08, 2009 6:00 pm    Post subject: Reply with quote

Looks like you have multiple installs of libmysqlclient.so

Try searching for them and removing the extra files.

locate libmysqlclient.so should find them, then you can use equery to find who owns them.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sun Mar 08, 2009 7:20 pm    Post subject: Reply with quote

Code:
krogpc krog # locate libmysqlclient.so                                                                     
/usr/lib64/libmysqlclient.so.15.0.0                                                                       
/usr/lib64/libmysqlclient.so.15.0                                                                         
/usr/lib64/libmysqlclient.so.15                                                                           
/usr/lib64/libmysqlclient.so                                                                               
/usr/lib64/mysql/libmysqlclient.so.15.0.0                                                                 
/usr/lib64/mysql/libmysqlclient.so.15                                                                     
/usr/lib64/mysql/libmysqlclient.so


it seems that i have only dev-db/mysql-5.0.70-r1
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Sun Mar 08, 2009 7:45 pm    Post subject: Reply with quote

@Krog: Those libraries are the same file so it looks like it is cmake that is broken.

I am getting this error when trying to emerge @kde-live

Code:
Calculating dependencies / * Digest verification failed:
 * /usr/portage/kde-base/kappfinder/kappfinder-4.2.1.ebuild
 * Reason: Filesize does not match recorded size
 * Got: 464
 * Expected: 511
 \ * Digest verification failed:
 * /usr/portage/local/layman/kde-testing/kde-base/kdeplasma-addons/kdeplasma-addons-4.2.1-r1.ebuild
 * Reason: Filesize does not match recorded size
 * Got: 1559
 * Expected: 1512
 \

!!! Invalid or corrupt dependency specification:

missing space by parenthesis: '])'

('ebuild', '/', 'kde-base/kcontrol-9999', 'merge')

!kdeprefix? ( !<kde-base/ksmserver-9999 [-kdeprefix]) kdeprefix? ( !<kde-base/ksmserver-9999:live[kdeprefix=] ) >=kde-base/kdnssd-9999:live[kdeprefix=] >=kde-base/khotkeys-9999:live[kdeprefix=] ( x11-libs/qt-core:4[qt3support,ssl] x11-libs/qt-gui:4[accessibility,dbus] x11-libs/qt-qt3support:4[accessibility] x11-libs/qt-script:4 x11-libs/qt-sql:4[qt3support] x11-libs/qt-svg:4 x11-libs/qt-test:4 ) >=x11-base/xorg-server-1.5.2 x11-libs/libXext x11-libs/libXt x11-libs/libXxf86vm !kdeprefix? ( !kde-base/kcontrol:kde-4[-kdeprefix] ) !kdeprefix? ( !kde-base/kcontrol:4.1[-kdeprefix] ) !kdeprefix? ( !kde-base/kcontrol:4.2[-kdeprefix] ) !kdeprefix? ( !kde-base/kcontrol:4.3[-kdeprefix] ) kdeprefix? ( >=kde-base/kdelibs-9999:live[kdeprefix] ) !kdeprefix? ( >=kde-base/kdelibs-9999[-kdeprefix] ) kdeprefix? ( >=kde-base/kdebase-data-9999:live[kdeprefix] ) !kdeprefix? ( >=kde-base/kdebase-data-9999[-kdeprefix] )

This package can not be installed. Please notify the 'kde-
base/kcontrol-9999' package maintainer about this problem.
... done!
Back to top
View user's profile Send private message
zwede
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 103

PostPosted: Sun Mar 08, 2009 8:52 pm    Post subject: Reply with quote

If kde-base/kdepimlibs-4.2.65 fails with this error:

Code:
 
/var/tmp/portage/kde-base/kdepimlibs-4.2.65/work/kdepimlibs-4.2.65/akonadi/itemfetchjob.cpp: In member function 'void Akonadi::ItemFetchJobPrivate::startFetchJob()':                                                                                                                     
/var/tmp/portage/kde-base/kdepimlibs-4.2.65/work/kdepimlibs-4.2.65/akonadi/itemfetchjob.cpp:90: error: expected `;' before 'AKONADI_PARAM_EXTERNALPAYLOAD'   


The reason is 4.2.65 requires features not available in app-office/akonadi-server-1.1.1. Updating app-office/akonadi-server to version 9999 from the kde-testing overlay fixes it.
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Mon Mar 09, 2009 12:01 am    Post subject: Reply with quote

How can I rebuild all Qt depending ebuilds? To rebuild them all with Qt 4.5.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Mon Mar 09, 2009 7:02 am    Post subject: Reply with quote

mikedee wrote:
@Krog: Those libraries are the same file so it looks like it is cmake that is broken.


i also tryed to rebuild cmake
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Mon Mar 09, 2009 7:27 am    Post subject: Reply with quote

Hi guys,

I'm trying to install kde-4.3 and I have seen that I need eigen > 2.0.51. Where can I find it?? I have to intstall eigen-9999 or there is an ebuild more stable???

Thanks
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Mar 09, 2009 5:03 pm    Post subject: Reply with quote

Did you emerge amarok like this? You might have your mysql compiled with the wrong flags.

Code:
( source /etc/make.conf && CFLAGS="-DPIC -fPIC" CXXFLAGS="-DPIC -fPIC" emerge -1 dev-db/mysql ) && emerge media-sound/amarok && emerge -1 dev-db/mysql
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Mon Mar 09, 2009 5:10 pm    Post subject: Reply with quote

mikedee wrote:
Did you emerge amarok like this? You might have your mysql compiled with the wrong flags.


Code:
>>> Emerging (1 of 1) dev-db/mysql-5.0.70-r1
 * mysql-5.0.70.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                        [ ok ]
 * mysql-extras-20081129-1041Z.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                        [ ok ]
 * checking ebuild checksums ;-) ...                                                                                          [ ok ]
 * checking auxfile checksums ;-) ...                                                                                         [ ok ]
 * checking miscfile checksums ;-) ...                                                                                        [ ok ]
 * Your CFLAGS contains "-fPIC" which can break packages.                                                                           
 * Your CXXFLAGS contains "-fPIC" which can break packages.                                                                         
 *                                                                                                                                 
 * Before you file a bug, please remove these flags and                                                                             
 * re-compile the package in question as well as all its dependencies 


i've set that options in /etc/portage/env/dev-db/mysql as suggested emerging amarok... last time worked good
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3253
Location: Gainesville, Florida

PostPosted: Mon Mar 09, 2009 6:04 pm    Post subject: Reply with quote

kdebase-live failed on the new package eigen2 with:
Code:
>>> Emerging (2 of 74) dev-cpp/eigen-9999 from kde
 * checking ebuild checksums ;-) ...                                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                                 [ ok ]
>>> Unpacking source...
 * subversion check out start -->
 *      repository: svn://anonsvn.kde.org/home/kde/trunk/kdesupport/eigen2
svn: No such revision 937459
 *
 * ERROR: dev-cpp/eigen-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2810:  Called subversion_src_unpack
 *             environment, line 3132:  Called subversion_fetch
 *             environment, line 3064:  Called die
 * The specific snippet of code:
 *           ${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch to ${wc_path} from ${repo_uri}.";
 *  The die message:
 *   subversion: can't fetch to /usr/portage/distfiles/svn-src/eigen/eigen2 from svn://anonsvn.kde.org/home/kde/trunk/kdesupport/eigen2.
 *
There is a version 937322 3 hours old at truck. Guess I'll try removing my svn-src kdesupport directory, and try a fresh checkout. :?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 22, 23, 24 ... 38, 39, 40  Next
Page 23 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum